﻿using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Hosting;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading;
using System.Threading.Tasks;

namespace EventListener 
{
    public class BidHostedService : IHostedService
    {
        private KafkaConsumer _consumer;
        private IConfigurationRoot _configuration;
        public BidHostedService(KafkaConsumer consumer, IConfigurationRoot configuration)
        {
            _consumer = consumer;
            _configuration = configuration;
        }
        public Task StartAsync(CancellationToken cancellationToken)
        {
            Logger.Instance.LogMessage("Starting Listener for BidTopic");
            _consumer.ConsumeMessages(_configuration["BidTopicName"]);
            return Task.CompletedTask;
        }
        public Task StopAsync(CancellationToken cancellationToken)
        {
            Logger.Instance.LogMessage("Stopped Listener for BidTopic");
            return Task.CompletedTask;
        }
    }
}
